API references
Merchant API

Find dispute

Returns the details of a specific dispute.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-dispute HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
dispute_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
dispute_id string

Required. The unique identifier of the dispute (dsp_...)

Response attributes
Attribute Description
dispute_id
string

Always present. The unique identifier of the dispute.

payment_id
string

Always present. The ID of the payment being disputed.

contact_id
string

Nullable. The ID of the contact who made the payment.

message
string

Nullable. The human-readable reason for the dispute.

status
string

Always present. The overall status of the dispute.

Possible values:
  • OPEN
  • CHALLENGED
  • REOPENED
  • ESCALATED
  • WON
  • LOST
  • EXPIRED
challenge_received_at
number

Nullable. The (unix) timestamp when the merchant submitted the challenge.

escalation_received_at
number

Nullable. The (unix) timestamp when the merchant submitted the escalation.

won_at
number

Nullable. The (unix) timestamp when the dispute was won.

lost_at
number

Nullable. The (unix) timestamp when the dispute was lost.

amount
number

Always present. The disputed amount in subunits.

currency
string

Always present. The 3-letter ISO currency code.

reason
string

Always present. The reason code for the dispute.

suggested_evidence
array<string>

Always present. A list of suggested evidence types for this dispute based on its reason.

Possible values:
  • cancellation_policy
  • cancellation_request_records
  • common_evidence
  • customer_communication
  • device_id_ip_data
  • marketing_materials
  • payment_logs
  • payment_processing_records
  • receipt
  • refund_issuance
  • refund_policy
  • refund_records
  • return_policy
  • shipping_documentation
  • supplier_certification
  • technical_support_logs
  • transaction_history
  • transaction_logs
deadline_at
number

Nullable. The timestamp (Unix) by which a challenge or escalation is required. Failure to escalate or challenge will cause the dispute to be automatically closed in favor of the customer.

created_at
number

Always present. The timestamp when the dispute was created.

fees
array<object.fee>

Always present. The fees associated with the dispute.

evidences
array<object.dispute_evidence>

Always present. The evidence submitted for this dispute.

Fee attributes
Attribute Description
fee_id
string

Always present. The ID of the fee.

kind
string

Always present. The type of fee.

Possible values:
  • dispute
  • payment
  • payout
  • plan
  • refund
parent_id
string

Always present. The ID of the billable item that this fee is attached to. For example, if the fee is a dispute fee, this would be the ID of the dispute.

billing_code
string

Always present. The billing code of the fee.

unit_amount
number

Always present. The unit amount of the fee, in subunits. I.e. how much is billed for each unit of the fee.

percentage_amount
number

Always present. The percentage amount of the fee, in subunits. E.g. With a percentage_fee of 4%, a payment of 1000 THB would have a percentage_amount of 40_00.

discount_applied
boolean

Always present. Whether the fee has been discounted.

Possible values:
  • true
  • false
statement_id
string

Always present. The ID of the statement that this fee is attached to.

Dispute evidence attributes
Attribute Description
evidence_id
string

Always present. The unique identifier of the evidence.

stage
string

Always present. The stage of evidence.

Possible values:
  • CHALLENGE
  • ESCALATION
comment
string

Nullable. A merchant comment for this evidence.

filename
string

Nullable. The name of the file attached to this evidence.

content_type
string

Nullable. The MIME type of the file attached to this evidence.

byte_size
number

Nullable. The size of the file attached to this evidence in bytes.

submitted
boolean

Always present. Whether the evidence has been confirmed (uploaded).

Possible values:
  • true
  • false
upload_url
string

Nullable. The URL where the file can be uploaded (only present if not submitted).

download_url
string

Nullable. The URL where the file can be downloaded (only present if submitted).

created_at
number

Always present. The (unix) timestamp when the evidence was created.

Errors specific to this endpoint
NOT_FOUND

The specified dispute was not found.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/find-dispute" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "dispute_id": "dsp_01kwbby4c702mbq2htbbwnywhd"
      }'
Learn how to run these code samples in your terminal by reading our guide.